Bug 429937 - Can't find root on initial boot after install
Can't find root on initial boot after install
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 435587 473433 (view as bug list)
Depends On:
Blocks: 237910 F9Alpha F9Beta
  Show dependency treegraph
 
Reported: 2008-01-23 16:29 EST by Bill Peck
Modified: 2009-07-14 10:19 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:19:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jonstanley: fedora_requires_release_note?


Attachments (Terms of Use)
init script from inside initrd (2.33 KB, text/plain)
2008-01-24 11:28 EST, Bill Peck
no flags Details

  None (edit)
Description Bill Peck 2008-01-23 16:29:26 EST
Description of problem:
After a successful install the system is unable to find root during boot up 

Version-Release number of selected component (if applicable):
rawhide-20080123

How reproducible:
unknown, but seen on more than one system
ibm-morrison.lab.boston.redhat.com
hp-dl360g5-01.rhts.boston.redhat.com
sun-v20z-01.rhts.boston.redhat.com


Looking at the log shows what looks to be a race condition.  The system can't
find root and then you see the scsi driver scan the bus.
  
Actual results:

SCSI subsystem initialized
Loading sd_mod mDriver 'sd' needs updating - please use bus_type methods
odule
Loading scsi_wait_scan module
LFusion MPT base driver 3.04.06
oading scsi_tranCopyright (c) 1999-2007 LSI Corporation
sport_spi module
Loading mptbasFusion MPT SPI Host driver 3.04.06
e module
LoadinACPI: PCI Interrupt 0000:02:02.0[A] -> g mptscsih modulGSI 26 (level, low)
-> IRQ 17
e
Loading mptspmptbase: ioc0: Initiating bringup
i module
ioc0: LSI53C1030 C0: Capabilities={Initiator}
scsi0 : ioc0: LSI53C1030 C0, FwRev=01032700h, Ports=1, MaxQ=222, IRQ=17
Loading sd_mod module
Trying to resume from /sys/block/sda/sda3
Unable to access resume device (/sys/block/sda/sda3)
Creating root device.
Mounting root filesystem.
mount: could not find filesystem '/dev/root'
Setting up other filesystems.
Setting up new root fs
setuproot: moving /dev failed: No such file or directory
no fstab.sys, mounting internal defaults
setuproot: error mounting /proc: No such file or directory
setuproot: error mounting /sys: No such file or directory
Switching to new root and running init.
unmounting old /dev
unmounting old /proc
unmounting old /sys
switchroot: mount failed: No such file or directory
Booting has failed.
scsi 0:0:0:0: Direct-Access     IBM-ESXS ST936701LC    FN B41D PQ: 0 ANSI: 4
 target0:0:0: Beginning Domain Validation
 target0:0:0: Ending Domain Validation
 target0:0:0: FAST-160 WIDE SCSI 320.0 MB/s DT IU RTI WRFLOW PCOMP (6.25 ns,
offset 63)
sd 0:0:0:0: [sda] 71096640 512-byte hardware sectors (36401 MB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Write cache: disabled, read cache: enabled, supports DPO and FUA
sd 0:0:0:0: [sda] 71096640 512-byte hardware sectors (36401 MB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Write cache: disabled, read cache: enabled, supports DPO and FUA
 sda: sda1 sda2 sda3
sd 0:0:0:0: [sda] Attached SCSI disk
scsi_scan_0 used greatest stack depth: 1684 bytes left
Comment 1 Chuck Ebbert 2008-01-23 18:42:55 EST
What does the init script inside the initrd look like?
Comment 2 Bill Peck 2008-01-24 11:28:22 EST
Created attachment 292806 [details]
init script from inside initrd
Comment 3 Chuck Ebbert 2008-01-24 12:25:48 EST
Wow, mkinitrd is really screwy here -- it loads sd_mod and scsi_wait_scan very
early, then loads a bunch of scsi drivers, then it loads sd_mod and
scsi_wait_scan *again*. That can't be right... but if you remove the early loads
of sd_mod and scsi_wait scan from the script manually it should boot okay.
Comment 4 Bill Nottingham 2008-01-28 14:50:38 EST
Is there anything common on these three systems?
Comment 5 Bill Peck 2008-01-28 15:17:40 EST
Other than i386 arch, no.

two of the systems have mptscsi and the HP system has cciss.
Comment 6 Jon Stanley 2008-02-01 23:19:23 EST
Since this was an Alpha blocker that didn't make it, I'm proposing it for a
release note, but I'm not entirely sure what the release note might say - maybe
something along the lines of:

"On a subset of systems, issues have been seen where the initrd generated loads
modules in a incorrect fashion, resulting in an unbootable system."

Someone wanna propose better verbiage since this problem is both well-defined
and ill-defined at the same time? :)
Comment 7 Jeremy Katz 2008-03-02 14:37:11 EST
bpeck -- is this still happening?  If so, can you hook me up with a system where
it is?
Comment 8 Jens Petersen 2008-03-03 00:33:26 EST
*** Bug 435587 has been marked as a duplicate of this bug. ***
Comment 9 Jens Petersen 2008-03-03 02:32:05 EST
Is it really i386 specific - I can't get a x86_64 rawhide install to boot either
or is this different to bug 435587?
Comment 10 Bill Peck 2008-03-03 10:41:04 EST
I only saw the problem on i386 because all my x86_64 installs failed in a
different way at the time.  :-)

Jeremy -- I'll try and test this Today but I'm pretty swamped. 
Comment 11 Jens Petersen 2008-03-04 05:42:16 EST
My testing has been under qemu BTW if it matters.
(I was afraid to lose my old testbox rawhide install.)
Comment 12 Jeremy Katz 2008-03-05 13:19:32 EST
Jens -- you were likely seeing bug 435228 and not this one
Comment 13 Bill Peck 2008-03-06 08:52:51 EST
I'm still seeing this with rawhide-20080305  

Log from an x86_64 machine.

Switching to new root and running init.
unmounting old /dev
unmounting old /proc
unmounting old /sys
switchroot: mount failed: No such file or directory
Booting has failed.
scsi 0:0:0:0: Direct-Access     SEAGATE  ST336706LC       8A03 PQ: 0 ANSI: 3
 target0:0:0: Beginning Domain Validation
 target0:0:0: Ending Domain Validation
 target0:0:0: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 63)
scsi 0:0:1:0: Direct-Access     SEAGATE  ST336706LC       8A03 PQ: 0 ANSI: 3
 target0:0:1: Beginning Domain Validation
 target0:0:1: Ending Domain Validation
 target0:0:1: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 63)
sd 0:0:0:0: [sda] 71132959 512-byte hardware sectors (36420 MB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Write cache: disabled, read cache: enabled, supports DPO and FUA
sd 0:0:0:0: [sda] 71132959 512-byte hardware sectors (36420 MB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Write cache: disabled, read cache: enabled, supports DPO and FUA
 sda: sda1 sda2
sd 0:0:0:0: [sda] Attached SCSI disk
sd 0:0:1:0: [sdb] 71132959 512-byte hardware sectors (36420 MB)
sd 0:0:1:0: [sdb] Write Protect is off
sd 0:0:1:0: [sdb] Write cache: disabled, read cache: enabled, supports DPO and FUA
sd 0:0:1:0: [sdb] 71132959 512-byte hardware sectors (36420 MB)
sd 0:0:1:0: [sdb] Write Protect is off
sd 0:0:1:0: [sdb] Write cache: disabled, read cache: enabled, supports DPO and FUA
 sdb: sdb1
sd 0:0:1:0: [sdb] Attached SCSI disk
Comment 14 Jeremy Katz 2008-03-06 12:05:49 EST
Fixed in git, will do a build after lunch
Comment 15 Will Woods 2008-03-12 11:26:49 EDT
Bill, can you confirm the fix?
Comment 16 Bill Peck 2008-03-12 11:42:12 EDT
last build I tried blew up on authconfig.  I assume I should see another build
Today with that fixed?

Assuming yes, I'll let you know shortly after. :-)
Comment 17 Erik van Pienbroek 2008-03-15 17:37:39 EDT
mkinitrd-6.0.34-1 has introduced a regression for me, probably caused by the fix
from Jeremy Katz. When I try to boot a kernel containing a initrd from
mkinitrd-6.0.34-1 or later (6.0.36-1 is also broken) I get the following message :

device-mapper: uevent: version 1.0.3
device-mapper: ioctl: 4.13.0-ioctl (2007-10-18) initialised: dm-devel@redhat.com
device-mapper: table: 253:0 linear: dm-linear: Device lookup failed
device-mapper: ioctl: error adding target to table
device-mapper: reload ioctl failed: Invalid argument
device-mapper: table ioctl failed: No such device or address
device-mapper: deps ioctl failed: No such device or address
init[1]: segfault at 10 ip 00a5b10a sp bfa1640c error 4 in
libdevmapper.so.1.02[a4d000+15000]
nash received SIGSEGV! Backtrace (14):
/bin/nash[0x805365a]
[0x11040c]
/usr/lib/libnash.so.6.0.34(nashDmDevGetName+0x5a)[0x11f40e]
/usr/lib/libnash.so.6.0.34[0x11b7e7]
/usr/lib/libnash.so.6.0.34[0x11b911]
/usr/lib/libnash.so.6.0.34(nashBdevIterNext+0x109)[0x11bd9b]
/usr/lib/libnash.so.6.0.34[0x11c037]
/usr/lib/libnash.so.6.0.34(nashFindFsByName+0x6e)[0x11c130]
/usr/lib/libnash.so.6.0.34(nashAGetPathBySpec+0xa5)[0x11c24a]
/bin/nash[0x804f2fb]
/bin/nash[0x80534c5]
/bin/nash[0x8053bcd]
/lib/libc.so.6(__libc_start_main+0xe6)[0x16f606]
/bin/nash[0x804afa1]


As soon as I downgrade back to mkinitrd-6.0.33-1 and regenerate the initrd,
everything boots fine.

The situation at my computer is that the /boot partition is on a PATA drive
(/dev/sdb) and the root partition is on a SATA drive (/dev/sda). The root
partition is using the device-mapper.
Comment 18 Jon Stanley 2008-03-15 18:15:19 EDT
Erik -

Please file a new bug about that, including relevant details of your hardware,
etc.  This looks more like a nash issue than the problem above.
Comment 19 Jesse Keating 2008-03-17 19:52:25 EDT
Can we get a re-test on this?  I think it should be fixed.
Comment 20 Erik van Pienbroek 2008-03-17 20:18:34 EDT
Unfortunately I don't have access to the computer on which the crash occured at
the moment.. This Wednesday evening I'll have access to this computer again.
I'll try to test it as soon as I have access to the computer again
Comment 21 Erik van Pienbroek 2008-03-20 15:43:01 EDT
I've just performed a new test with mkinitrd-6.0.39-1, but my boot failure still
remains. I've opened a seperate bug for this regression: 438420
Comment 22 Bill Peck 2008-03-24 09:31:19 EDT
rawhide-20080323

hp-dl360g5-01.rhts.boston.redhat.com

Machine installs but upon rebooting it does not find root.  In fact it doesn't
look like it loads the cciss driver at all after the initial install.

I have the following logs I can post:
install.log
anaconda.log
lvmout.log
2355233-test_log--distribution-install-start-EXTERNALWATCHDOG  <-Console log
sys.log
ks.cfg

Let me know what would be helpful.
Comment 23 Bug Zapper 2008-05-14 00:51:37 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Greg Martyn 2008-11-06 22:50:59 EST
I'm seeing this on a rawhide from last week. Also happens on Fedora 10 beta 1. Anything I can do to help?

x86_64
2 scsi disks
5 sata disks

Some of the messages I see:
[info about scsi target6:0:0:]
Unable to access resume device (UUID=[random stuff here])
Mounting root filesystem. chosen from 1 choice
[info about scsi target6:0:3:]
mount: error mounting /dev/root on sysroot as ext3: No such file or directory
[info about sd 6:0:0:0: sdf]
[info about sd 6:0:0:0: sdg]
scsi_scan_6 used greatest stack depth: 4248 bytes left

The messages are overlapped with other startup text.
Comment 25 Jan Kratochvil 2008-11-09 13:29:01 EST
Rawhide (Fedora 10):
dell-per905-01.rhts.bos.redhat.com

Connected to dell-per905-01 console [channel connected] (~$quit to exit)
Initializing cgroup subsys cpuset
Initializing cgroup subsys cpu
Linux version 2.6.27.4-79.fc10.x86_64 (mockbuild@x86-3.fedora.phx.redhat.com) (gcc version 4.3.2 20081007 (Red Hat 4.3.2-6) (GCC) ) #1 SMP Tue Nov 4 21:23:33 EST 2008
Command line: ro root=/dev/VolGroup00/LogVol00 console=ttyS1,57600
KERNEL supported cpus:
  Intel GenuineIntel
  AMD AuthenticAMD
  Centaur CentaurHauls
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 00000000000a0000 (usable)
 BIOS-e820: 0000000000100000 - 00000000cfaa0000 (usable)
 BIOS-e820: 00000000cfaa0000 - 00000000cfab6000 (reserved)
 BIOS-e820: 00000000cfab6000 - 00000000cfad5c00 (ACPI data)
 BIOS-e820: 00000000cfad5c00 - 00000000d0000000 (reserved)
 BIOS-e820: 00000000f0000000 - 00000000f8000000 (reserved)
 BIOS-e820: 00000000fe000000 - 0000000100000000 (reserved)
 BIOS-e820: 0000000100000000 - 0000000230000000 (usable)
last_pfn = 0x230000 max_arch_pfn = 0x3ffffffff
x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
last_pfn = 0xcfaa0 max_arch_0000000 (reserved)
 BIOS-e820: 0000000100000000 - 0000000230000000 (usable)
last_pfn = 0x230000 max_arch_pfn = 0x3ffffffff
x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
last_pfn = 0xcfaa0 max_arch_pfn = 0x3ffffffff
init_memory_mapping
Using GB pages for direct mapping
last_map_addr: cfaa0000 end: cfaa0000
init_memory_mapping
Using GB pages for direct mapping
last_map_addr: 230000000 end: 230000000
RAMDISK: 37c6d000 - 37fefad2
DMI 2.5 present.
ACPI: RSDP 000F2400, 0024 (r2 DELL  )
ACPI: XSDT 000F2480, 0094 (r1 DELL   PE_SC3          1 DELL        1)
ACPI: FACP CFACED50, 00F4 (r3 DELL   PE_SC3          1 DELL        1)
ACPI: DSDT CFAB6000, 59E4 (r1 DELL   PE_SC3          1 INTL 20050624)
ACPI: FACS CFAD1400, 0040
ACPI: APIC CFACE878, 00E0 (r1 DELL   PE_SC3          1 DELL        1)
ACPI: SPCR CFACE95C, 0050 (r1 DELL   PE_SC3          1 DELL        1)
ACPI: PPPP CFACE9B0, 0038 (r1 DELL   PE_SC3          1 DELL        1)
ACPI: MCFG CFACE9EC, 003C (r1 DELL   PE_SC3          1 DELL        1)
ACPI: WD__ CFACEA2C, 0134 (r1 DELL   PE_SC3          1 DELL        1)
ACPI: SLIC CFACEB64, 0024 (r1 DELL   PE_SC3          1 DELL        1)
ACPI: ERST CFABBB64, 0210 (r1 DELL   PE_SC3          1 DELL        1)
ACPI: HEST CFABBD74, 027C (r1 DELL   PE_SC3          1 DELL      L        1)
ACPI: SLIC CFACEB64, 0024 (r1 DELL   PE_SC3          1 DELL        1)
ACPI: ERST CFABBB64, 0210 (r1 DELL   PE_SC3          1 DELL        1)
ACPI: HEST CFABBD74, 027C (r1 DELL   PE_SC3          1 DELL        1)
ACPI: BERT CFABB9E4, 0030 (r1 DELL   PE_SC3          1 DELL        1)
ACPI: EINJ CFABBA14, 0150 (r1 DELL   PE_SC3          1 DELL        1)
ACPI: SRAT 000FC084, 0220 (r1 DELL   PE_SC3          1 DELL        1)
ACPI: SSDT CFAD1800, 2854 (r1 DELL   PE_SC3          1 DELL        1)
ACPI: TCPA CFACECE8, 0064 (r1 DELL   PE_SC3          1 DELL        1)
SRAT: PXM 0 -> APIC 0 -> Node 0
SRAT: PXM 0 -> APIC 1 -> Node 0
SRAT: PXM 0 -> APIC 2 -> Node 0
SRAT: PXM 0 -> APIC 3 -> Node 0
SRAT: PXM 1 -> APIC 4 -> Node 1
SRAT: PXM 1 -> APIC 5 -> Node 1
SRAT: PXM 1 -> APIC 6 -> Node 1
SRAT: PXM 1 -> APIC 7 -> Node 1
SRAT: PXM 2 -> APIC 8 -> Node 2
SRAT: PXM 2 -> APIC 9 -> Node 2
SRAT: PXM 2 -> APIC 10 -> Node 2
SRAT: PXM 2 -> APIC 11 -> Node 2
SRAT: PXM 3 -> APIC 12 -> Node 3
SRAT: PXM 3 -> APIC 13 -> Node 3
SRAT: PXM 3 -> APIC 14 -> Node 3
SRAT: PXM 3 -> APIC 15 -> Node 3
SRAT: Node 0 PXM 0 0-a0000
SRAT: Node 0 PXM 0 100000-80000000
SRAT: Node 1 PXM 1 80000000-d0000000
SRAT: Node 1 PXM 1 100000000-130000000
SRAT: Node 2 PXM 2 130000000-1b0000000
SRAT: Node 3 PXM 3 1b0000000-230000000
Bootmem setup node 0 0000000000000000-0000000080000000
  NODE_DATA [000000000000f680 - 000000000002467f]
  bootmap [0000000000025000 -  0000000000034fff] pages 10
(8 early reservations) ==> bootmem [0000000000 - 0080000000]
  #0 [0000000000 - 0000001000]   BIOS data page ==> [0000000000 - 0000001000]
  #1 [0000006000 - 0000008000]       TRAMPOLINE ==> [0000006000 - 0000008000]
  #2 [0000200000 - 0000a66294]    TEXT DATA BSS ==> [0000200000 - 0000a66294]
  #3 [0037c6d000 - 0037fefad2]          RAMDISK ==> [0037c6d000 - 0037fefad2]
  #4 [000009e800 - 0000100000]    BIOS reserved ==> [000009e800 - 0000100000]
  #5 [0000008000 - 000000a000]          PGTABLE ==> [0000008000 - 000000a000]
  #6 [000000a000 - 000000b000]          PGTABLE ==> [000000a000 - 000000b000]
  #7 [000000b000 - 000000f680]       MEMNODEMAP ==> [000000b000 - 000000f680]
Bootmem setup node 1 0000000080000000-0000000130000000
  NODE_DATA [0000000080000000 - 0000000080014fff]
  bootmap [0000000080015000 -  000000008002afff] pages 16
(8 early reservations) ==> bootmem [0080000000 - 0130000000]
  #0 [0000000000 - 0000001000]   BIOS data page
  #1 [0000006000 - 0000008000]       TRAMPOLINE
  #2 [0000200000 - 0000a66294]    TEXT DATA BSS
  #3 [0037c6d000 - 0037fefad2]          RAMDISK
  #4 [000009e800 - 0000100000]    BIOS reserved
  #5 [0000008000 - 000000a000]          PGTABLE
AUupassed.��m��ͽ��ѕ������������QM      PGTABLE
Booting processor 6/9 ip 6000
Initializing CPU#6
Calibrating delay using timer specific routine.. 4388.89 BogoMIPS (lpj=2194447)
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 512K (64 bytes/line)
CPU 6/9 -> Node 2
CPU: Physical Processor ID: 2
CPU: Processor Core ID: 1
x86 PAT enabled: cpu 6, old 0x7040600070406, new 0x7010600070106
CPU6: Quad-Core AMD Opteron(tm) Processor 8354 stepping 03
checking TSC synchronization [CPU#0 -> CPU#6]: passed.
Booting processor 7/5 ip 6000
Initializing CPU#7
Calibrating delay using timer specific routine.. 4389.28 BogoMIPS (lpj=2194641)
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 512K (64 bytes/line)
CPU 7/5 -> Node 1
CPU: Physical Processor ID: 1
CPU: Processor Core ID: 1
x86 PAT enabled: cpu 7, old 0x7040600070406, new 0x7010600070106
CPU7: Quad-Core AMD Opteron(tm) Processor 8354 stepping 03
checking TSC synchronization [CPU#0 -> CPU#7]: passed.
Booting processor 8/2 ip 6000
Initializing CPU#8
Calibrating delay using timer specific routine.. 4388.88 BogoMIPS (lpj=2194440)
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 512K (64 bytes/line)
CPU 8/2 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 2
x86 PAT enabled: cpu 8, old 0x7040600070406, new 0x7010600070106
CPU8: Quad-Core AMD Opteron(tm) Processor 8354 stepping 03
checking TSC synchronization [CPU#0 -> CPU#8]: passed.
Booting processor 9/14 ip 6000
Initializing CPU#9
Calibrating delay using timer specific routine.. 4389.55 BogoMIPS (lpj=2194777)
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 512K (64 bytes/line)
CPU 9/e -> Node 3
CPU: Physical Processor ID: 3
CPU: Processor Core ID: 2
x86 PAT enabled: cpu 9, old 0x7040600070406, new 0x7010600070106
CPU9: Quad-Core AMD Opteron(tm) Processor 8354 stepping 03
checking TSC synchronization [CPU#0 -> CPU#9]: passed.
Booting processor 10/10 ip 6000
Initializing CPU#10
Calibrating delay using timer specific routine.. 4390.65 BogoMIPS (lpj=2195326)
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 512K (64 bytes/line)
CPU 10/a -> Node 2
CPU: Physical Processor ID: 2
CPU: Processor Core ID: 2
x86 PAT enabled: cpu 10, old 0x7040600070406, new 0x7010600070106
CPU10: Quad-Core AMD Opteron(tm) Processor 8354 stepping 03
checking TSC synchronization [CPU#0 -> CPU#10]: passed.
Booting processor 11/6 ip 6000
Initializing CPU#11
Calibrating delay using timer specific routine.. 4389.71 BogoMIPS (lpj=2194858)
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 512K (64 bytes/line)
CPU 11/6 -> Node 1
CPU: Physical Processor ID: 1
CPU: Processor Core ID: 2
x86 PAT enabled: cpu 11, old 0x7040600070406, new 0x7010600070106
CPU11: Quad-the ACPI Global Lock, it has not been acquired [20080609]
ACPI Exception (exutils-0309): AE_NOT_ACQUIRED, Could not release Global Lock [20080609]
ACPI Warning (evmisc-0526): Cannot release the ACPI Global Lock, it has not been acquired [20080609]
ACPI Exception (exutils-0309): AE_NOT_ACQUIRED, Could not release Global Lock [20080609]
ACPI Warning (evmisc-0526): Cannot release the ACPI Global Lock, it has not been acquired [20080609]
ACPI Exception (exutils-0309): AE_NOT_ACQUIRED, Could not release Global Lock [20080609]
ACPI Warning (evmisc-0526): Cannot release the ACPI Global Lock, it has not been acquired [20080609]
ACPI Exception (exutils-0309): AE_NOT_ACQUIRED, Could not release Global Lock [20080609]
ACPI Warning (evmisc-0526): Cannot release the ACPI Global Lock, it has not been acquired [20080609]
ACPI Exception (exutils-0309): AE_NOT_ACQUIRED, Could not release Global Lock [20080609]
ACPI Warning (evmisc-0526): Cannot release the ACPI Global Lock, it has not been acquired [20080609]
ACPI Exception (exutils-0309): AE_NOT_ACQUIRED, Could not release Global Lock [20080609]
ACPI Warning (evmisc-0526): Cannot release the ACPI Global Lock, it has not been acquired [20080609]
ACPI Exception (exutils-0309): AE_NOT_ACQUIRED, Could not release Global Lock [20080609]
ACPI Warning (evmisc-0526): Cannot release the ACPI Global Lock, it has not been acquired [20080609]
ACPI Exception (exutils-0309): AE_NOT_ACQUIRED, Could not release Global Lock [20080609]
ACPI Warning (evmisc-0526): Cannot release the ACPI Global Lock, it has not been acquired [20080609]
ACPI Exception (exutils-0309): AE_NOT_ACQUIRED, Could not release Global Lock [20080609]
ACPI Warning (evmisc-0526): Cannot release the ACPI Global Lock, it has not been acquired [20080609]
ACPI Exception (exutils-0309): AE_NOT_ACQUIRED, Could not release Global Lock [20080609]
ACPI Warning (evmisc-0526): Cannot release the ACPI Global Lock, it has not been acquired [20080609]
ACPI Exception (exutils-0309): AE_NOT_ACQUIRED, Could not release Global Lock [20080609]
ACPI Warning (evmisc-0526): Cannot release the ACPI Global Lock, it has not been acquired [20080609]
ACPI Exception (exutils-0309): AE_NOT_ACQUIRED, Could not release Global Lock [20080609]
ACPI Warning (evmisc-0526): Cannot release the ACPI Global Lock, it has not been acquired [20080609]
ACPI Exception (exutils-0309): AE_NOT_ACQUIRED, Could not release Global Lock [20080609]
ACPI Warning (evmisc-0526): Cannot release the ACPI Global Lock, it has not been acquired [20080609]
ACPI Exception (exutils-0309): AE_NOT_ACQUIRED, Could not release Global Lock [20080609]
ACPI Warning (evmisc-0526): Cannot release the ACPI Global Lock, it has not been acquired [20080609]
ACPI Exception (exutils-0309): AE_NOT_ACQUIRED, Could not release Global Lock [20080609]
ACPI Warning (evmisc-0526): Cannot release the ACPI Global Lock, it has not been acquired [20080609]
ACPI Exception (exutils-0309): AE_NOT_ACQUIRED, Could not rel[]^�pcieport-driver 0000:00:08.0: found MSI capability
pcieport-driver 0000:00:09.0: found MSI capability
pcieport-driver 0000:00:0a.0: found MSI capability
pcieport-driver 0000:00:0b.0: found MSI capability
pcieport-driver 0000:00:0c.0: found MSI capability
pcieport-driver 0000:20:08.0: found MSI capability
pcieport-driver 0000:20:09.0: found MSI capability
pcieport-driver 0000:20:0a.0: found MSI capability
pcieport-driver 0000:20:0b.0: found MSI capability
pcieport-driver 0000:20:0c.0: found MSI capability
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
ACPI Warning (evmisc-0526): Cannot release the ACPI Global Lock, it has not been acquired [20080609]
ACPI Exception (exutils-0309): AE_NOT_ACQUIRED, Could not release Global Lock [20080609]
input: Power Button (FF) as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
ACPI: Power Button (FF) [PWRF]
ACPI Warning (evmisc-0526): Cannot release the ACPI Global Lock, it has not been acquired [20080609]
ACPI Exception (exutils-0309): AE_NOT_ACQUIRED, Could not release Global Lock [20080609]
processor ACPI0007:00: registered as cooling_device0
processor ACPI0007:01: registered as cooling_device1
processor ACPI0007:02: registered as cooling_device2
processor ACPI0007:03: registered as cooling_device3
processor ACPI0007:04: registered as cooling_device4
processor ACPI0007:05: registered as cooling_device5
processor ACPI0007:06: registered as cooling_device6
processor ACPI0007:07: registered as cooling_device7
processor ACPI0007:08: registered as cooling_device8
processor ACPI0007:09: registered as cooling_device9
processor ACPI0007:0a: registered as cooling_device10
processor ACPI0007:0b: registered as cooling_device11
processor ACPI0007:0c: registered as cooling_device12
processor ACPI0007:0d: registered as cooling_device13
processor ACPI0007:0e: registered as cooling_device14
processor ACPI0007:0f: registered as cooling_device15
hpet_acpi_add: no address or irqs in _CRS
Non-volatile memory driver v1.2
Linux agpgart interface v0.103
Serial: 8250/16550 driver4 ports, IRQ sharing enabled
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
erial8250: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
00:05: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
00:06: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
brd: module loaded
loop: module loaded
input: Macintosh mouse button emulation as /devices/virtual/input/input1
Driver 'sd' needs updating - please use bus_type methods
Driver 'sr' needs updating - please use bus_type methods
ehci_hcd 0000:02:0c.2: PCI INT C -> GSI 76 (level, low) -> IRQ 76
ehci_hcd 0000:02:0c.2: EHCI Host Controller
ehci_hcd 0000:02:0c.2: new USB bus registered, assigned bus number 1
ehci_hcd 0000:02:0c.2: irq 76, io mem 0xee2fc000
ehci_hcd 0000:02:0c.2: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 4 ports detecserio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
rtc_cmos 00:04: rtc core: registered rtc_cmos as rtc0
rtc0: alarms up to one month, y3k
device-mapper: uevent: version 1.0.3
device-mapper: ioctl: 4.14.0-ioctl (2008-04-23) initialised: dm-devel@redhat.com
cpuidle: using governor ladder
cpuidle: using governor menu
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
usbhid: v2.6:USB HID core driver
nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
CONFIG_NF_CT_ACCT is deprecated and will be removed soon. Plase use
nf_conntrack.acct=1 kernel paramater, acct=1 nf_conntrack module option or
sysctl net.netfilter.nf_conntrack_acct=1 to enable it.
ip_tables: (C) 2000-2006 Netfilter Core Team
TCP cubic registered
Initializing XFRM netlink socket
NET: Registered protocol family 17
registered taskstats version 1
  Magic number: 0:989:442
Freeing unused kernel memory: 1292k freed
Write protecting the kernel read-only data: 4952k
Mounting proc filesystem
Mounting sysfs filesystem
Creating /dev
Creating initial device nodes

Setting up hotplug.
Creating block device nodes.
Lomegasas: 00.00.04.01 Thu July 24 11:41:51 PST 2008
ading megaraid_smegasas: 0x1000:0x0060:0x1028:0x1f0b: as module
bus 11:slot 0:func 0
megaraid_sas 0000:0b:00.0: PCI INT A -> GSI 35 (level, low) -> IRQ 35
megasas: FW now in Ready state
scsi0 : LSI SAS based MegaRAID driver
Loading shpchp mscsi 0:0:0:0: Direct-Access     SEAGATE  ST973402SS       S229 PQ: 0 ANSI: 5
odule
shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
scsi 0:0:1:0: Direct-Access     SEAGATE  ST973402SS       S229 PQ: 0 ANSI: 5
Making device-mapper control node
Scanning logical volumes
  Reading all physical volumes.  This may take a while...
Activating logical volumes
  Volume group "VolGroup00" not found
Unable to access resume device (/dev/VolGroup00/LogVol01)
Creating root device.
Mounting root filesystem.
mount: error mounting /dev/root on /sysroot as ext3: No such file or directory

plymouthd: ply-boot-splash.c:283: ply_boot_splash_root_mounted: Assertion `splash != ((void *)0)' failed.
scsi 0:0:32:0: Enclosure         DP       BACKPLANE        1.06 PQ: 0 ANSI: 5
scsi 0:2:0:0: Direct-Access     DELL     PERC 6/i Adapter 1.11 PQ: 0 ANSI: 5
scsi 0:0:32:0: Attached scsi generic sg0 type 13
sd 0:2:0:0: [sda] 142082048 512-byte hardware sectors (72746 MB)
sd 0:2:0:0: [sda] Write Protect is off
sd 0:2:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
sd 0:2:0:0: [sda] 142082048 512-byte hardware sectors (72746 MB)
sd 0:2:0:0: [sda] Write Protect is off
sd 0:2:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
 sda: sda1 sda2
sd 0:2:0:0: [sda] Attached SCSI disk
sd 0:2:0:0: Attached scsi generic sg1 type 0
[HANG]
Comment 26 Greg Martyn 2008-11-15 00:26:13 EST
If SCSI devices are being loaded after trying to mount root, does that mean that you can't install Fedora on a SCSI disk?

Is the boot order: load SATA, mount root, load SCSI?
Comment 27 Greg Martyn 2008-11-17 00:33:47 EST
I disconnected all my hard drives except for one SCSI disk that I then installed to. It still fails at "mount: error mounting /dev/root on sysroot as ext3: No such file or directory," then it displays the scsi loading messages. The last two lines are:
sd 2:0:2:0: [sda] Attached SCSI disk
sd 2:0:3:0: Attached scsi generic sg1 type 0

This was after doing a default install with rawhide from today.
Comment 28 Greg Martyn 2008-11-23 14:42:49 EST
Reinstalled FC8 successfully. This bug is definitely a regression IMHO.

Installed development kernel with "yum update kernel --enablerepo development", which installed kernel 2.6.27.5-117.fc10.x86_64 and some updated dependencies (mkinitrd, anaconda, sysvinit and others). Rebooted but the new kernel wasn't listed by grub. yum removed that kernel version, then yum installed it. This time it was there. Booted into it and got the same problem that I was having with rawhide. I can still boot into my old FC8 kernel.

My hardware profile:
http://www.smolts.org/client/show/pub_14fa6d9e-87d6-47d4-a70b-bb9405c0db1a
Comment 29 Michael Osborne 2008-11-23 22:05:42 EST
Sigh. After being unable to install f10 due to bug 447552 (anaconda does not recognize DAC960 attached drives), I removed the DAC960 and used the builtin SYMBIOS 896 SCSI controller to install. Install went fine. However, root couldn't be found after rebooting. :-( Same issue as Greg. SCSI drivers appear to be loading *after* root mount is attempted. No oops or panic. Everything just hangs.
Comment 30 Michael Osborne 2008-11-23 23:12:29 EST
It seems that the install process fails to add the scsi adapters to /etc/modprobe.conf and so the scsi modules are not included when the initrd is generated. I was able to boot fine by:

1. booting the rescue disk
2. chrooting to the new install
3. adding the ssci adapters to /etc/modprobe.conf
4 rebuilding the initrd with mkinitrd.
Comment 31 Warren Togami 2008-11-24 06:22:00 EST
It is unclear to me why this bug was set to MODIFIED.  I am also reassigning this back to kernel, although both kernel and mkinitrd seem to be involved.
Comment 32 Greg Martyn 2008-11-25 21:30:44 EST
I followed Michael's advice from comment #30, but still experience the same problem.

My modprobe.conf:
alias scsi_hostadapter aic7xxx
Comment 33 Tim Fenn 2008-12-01 22:36:47 EST
also seeing this on a fresh F10 install (system was running F8 previously, never had this problem) - SATA drive on a 3w_xxxx controller.  I've tried adding the module alias to modprobe.conf and remaking the initrd to no avail.
Comment 34 Greg Martyn 2008-12-01 23:00:23 EST
In rescue mode I was able to compile then boot a vanilla kernel. I tried three -- 2.6.18, 2.6.27 and 2.6.28-rc6. All worked.
Comment 35 Tim Fenn 2008-12-02 19:34:25 EST
fixed by booting to rescue mode and:

mkinitrd -v -f --with=scsi_wait_scan /boot/initrd-2.6.27.5-117.fc10.x86_64.img 2.6.27.5-117.fc10.x86_64

This fixed 3 of 3 boxes with this problem.

I believe this could also apply to several other bugs, e.g.:

https://bugzilla.redhat.com/show_bug.cgi?id=425787
https://bugzilla.redhat.com/show_bug.cgi?id=473092
https://bugzilla.redhat.com/show_bug.cgi?id=473433
https://bugzilla.redhat.com/show_bug.cgi?id=431778
https://bugzilla.redhat.com/show_bug.cgi?id=470166
https://bugzilla.redhat.com/show_bug.cgi?id=471729
Comment 36 Greg Martyn 2008-12-03 22:19:39 EST
Thanks Tim. That fixed my system.
Comment 37 Greg Martyn 2008-12-26 02:40:20 EST
Hm. That solution doesn't work for the kernel updates.
Comment 38 Tim Fenn 2008-12-26 02:56:45 EST
(In reply to comment #37)
> Hm. That solution doesn't work for the kernel updates.

Do the details section here:

https://admin.fedoraproject.org/updates/F10/FEDORA-2008-11149

help (i.e. you gotta re-run mkinitrd after the update)?
Comment 39 Greg Martyn 2008-12-27 15:31:15 EST
Still doesn't work for me. I tried the commands as written, and also tried hardcoding the new kernel's uname -r in. It does look better than before though -- it waits for the scsi stuff to initialize before trying to mount root, but it still isn't finding it. Root is a md raid mirror. The system is still bootable from the 2.6.27.5-117.fc10.x86_64 kernel and initrd generated back then by me. When I regenerate the initrd for 2.6.27.5-117, it doesn't boot. Good thing I saved the old one!


scsi6: Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 7.0
       <Adaptec 29160N Ultra 160 SCSI adapter>
       aic7892: Ultra160 Wide Channel A, SCSI Id=7, 32/253 SCBs

scsi: waiting for bus probes to complete ...
scsi 6:0:0:0: Direct-Access     MAXTOR   ATLAS15K2_147WLS JNX0 PQ: 0 ANSI: 3
scsi6:A:0:0: Tagged Queuing enabled.  Depth 4

[etc]

Creating root device.
Mounting root filesystem.
mount: error mounting /dev/root on /sysroot as ext4: No such file or directory
Setting up hotplug.
Creating block device nodes.
Creating character device nodes.
Loading ext4 module
Loading scsi_transport_spi modile
Loading aic7xxx module
Creating root device.
Mounting root filesystem.
mount: error mounting /dev/root on/sysroot as ext4: No such file or directory
Comment 40 Greg Martyn 2008-12-28 14:06:37 EST
It's not putting the md information into the initrd image. The new image lacks a /etc/mdadm.conf file, and the /init file doesn't do a "modprobe -q raid1" like my working initrd.
Comment 41 Greg Martyn 2008-12-28 14:36:06 EST
I opened a new bug report. This one should be closed.

Bug 478355
Comment 42 lexual 2009-02-24 20:08:57 EST
*** Bug 473433 has been marked as a duplicate of this bug. ***
Comment 43 Bug Zapper 2009-06-09 19:25:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 44 Bug Zapper 2009-07-14 10:19:34 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.